#!/bin/bash

if [ $# -ne 2 ]; then
  echo "Usage: ./install.sh <model_name> <task_name>"
  exit 1
fi

echo $1
echo $2

MODEL_NAME=$(echo $1 | sed 's/[\/&]/\\&/g')
TASK_NAME=$(echo $2 | sed 's/[\/&]/\\&/g')
USER_NAME=$(whoami)

cp mighty-unit-template temp-unit
sed -i -e "s/MODEL_NAME/$MODEL_NAME/g" temp-unit
sed -i -e "s/TASK_NAME/$TASK_NAME/g" temp-unit
mv temp-unit mighty-unit

sed -e "s/\\/ubuntu\\//\\/$USER_NAME\\//g" mighty\@.service > temp-service
sudo mv temp-service /etc/systemd/system/mighty\@.service
sudo systemctl daemon-reload

sudo ./mighty --model $1 --$2 --only-download

declare -i core
core=0

lstopo-no-graphics --only PU > .cores
while read i
do
	sudo systemctl enable mighty@$core.service
	sleep 0.2
	sudo systemctl start mighty@$core.service
	sleep 0.2
	sudo journalctl -u mighty@$core.service | cat | tail -n 5
	core+=1
done <.cores
